"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs = __importStar(require("fs"));
var path = __importStar(require("path"));
var brfs = require('brfs');
var EXTENSIONS = [".js", ".jsx", ".ts", ".tsx"];
var rollupBrfs = function rollUpBrfs(options) {
    if (options === void 0) { options = {}; }
    return {
        name: 'brfs',
        transform: function (_code, id) {
            var ext = path.extname(id);
            if (!EXTENSIONS.includes(ext)) {
                return null;
            }
            return new Promise(function (resolve, reject) {
                var output = "";
                var stream = fs.createReadStream(id)
                    .pipe(brfs(id, options));
                stream.on('data', function (data) {
                    output += data.toString();
                });
                stream.on('end', function () {
                    resolve({
                        code: output,
                        map: { mappings: '' }
                    });
                });
                stream.on('error', function (error) {
                    reject(error);
                });
            });
        }
    };
};
exports.default = rollupBrfs;
//# sourceMappingURL=index.js.map